> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Extension-Official

> Extend a video by generating continuation content. This is an asynchronous operation that returns a request_id for polling.<br/><br/>**Note: Synced with official rules, content moderation failure will also be charged.**



## OpenAPI

````yaml openapi/en/grok_video.json POST /grok/v1/videos/extensions
openapi: 3.1.0
info:
  title: Grok Video Official API
  version: 1.0.0
  description: >-
    Grok official video generation API, supporting text-to-video, image-to-video
    and video extensions. Currently supports grok-imagine-video model. Maximum
    input video duration is 15 seconds.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/v1/videos/extensions:
    post:
      description: >-
        Extend a video by generating continuation content. This is an
        asynchronous operation that returns a request_id for
        polling.<br/><br/>**Note: Synced with official rules, content moderation
        failure will also be charged.**
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoExtensionRequest'
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                    description: Request ID
                    example: a3d1008e-4544-40d4-d075-11527e794e4a
                required:
                  - request_id
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    VideoExtensionRequest:
      type: object
      properties:
        prompt:
          type: string
          description: Prompt describing what should happen next in the video.
        video:
          type: object
          description: >-
            Video input object. Accepts a public URL, Base64-encoded data URL,
            or file_id. Maximum input video duration is 15 seconds.
          properties:
            url:
              type: string
              description: Public URL or base64-encoded data URL of the video.
        duration:
          type: integer
          description: >-
            Duration of the extension segment to generate in seconds (1-10).
            Defaults to 6 seconds if not specified.
          default: 6
          minimum: 1
          maximum: 10
        model:
          type: string
          description: Model to be used.
          enum:
            - grok-imagine-video
          default: grok-imagine-video
          example: grok-imagine-video
      required:
        - prompt
        - video
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````